$Revision: 1.1 $
$Date: 2006/01/25 09:46:18 $

# Functions

## `rl.check()`

Add the current request to the internal counters and determine if this request is above the limit. The ratelimit module has different internal counters for the supported request types and if a counter is exceeded the function returns an error code.

### `rl.check` usage

    ...
    if (method==INVITE) {
      if (!rl_check()) {
        sl_send_reply("503", "Service Unavailable");
        break;
      }
    }
    ...